首页新闻招聘找找看知识库

大佬,springframework问题

0
悬赏园豆:60 [已解决问题] 解决于 2018-11-12 15:55

我把springframework这个在spring官网下了下来,现在怎么部署到我的maven里面呢?网上我查的的导包感觉始终不全

刹那永痕的主页 刹那永痕 | 初学一级 | 园豆:136
提问于:2018-11-08 20:30

是不是这个影响了呢?

刹那永痕 4天前
< >
分享
最佳答案
1

JAVA_HOME没有更改吧?
java -version 可以查看版本。
另外,Eclipse、IDEA等IDE里面可以自行设置。

最近遇到问题,编译器氛围JRE的还JDK的,提示出现no compiler时自行添加JDK

收获园豆:40
行者Ben | 初学一级 |园豆:197 | 2018-11-08 20:34

我版本是1.8,java version "1.8.0_161"
Java(TM) SE Runtime Environment (build 1.8.0_161-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.161-b12, mixed mode),但是点开jar文件并不是这个1.8的,是Program Files/java/jre-10.0.1/bin。。。但是我用这个路径看了,并没有这个路径所以打不开

刹那永痕 | 园豆:136 (初学一级) | 2018-11-09 09:05
其他回答(3)
1

修改环境变量-系统变量,把JAVA_HOME的值指向jdk1.8路径。

收获园豆:20
ycyzharry | 园豆:12484 (专家六级) | 2018-11-09 09:07

C:\Program Files\Java\jdk1.8.0_161我的环境变量改了的,我也不知道怎么回事,路径就是不对,我都想把电脑重装了。。。

支持(0) 反对(0) 刹那永痕 | 园豆:136 (初学一级) | 2018-11-09 09:31

还有我点击libs里面的jar文件右键并没有java打开这个选项

支持(0) 反对(0) 刹那永痕 | 园豆:136 (初学一级) | 2018-11-09 09:41

是不是这个影响了呢?

支持(0) 反对(0) 刹那永痕 | 园豆:136 (初学一级) | 2018-11-09 16:08

我知道网上直接有jar包直接粘贴在pom上就行,但是我找不到我想要的版本,都是4.版本以上,我想下载3.2.9的,求救。。。

支持(0) 反对(0) 刹那永痕 | 园豆:136 (初学一级) | 2018-11-10 14:18
0

java都把时间浪费在了配置环境,环境配置好,asp.netcore业务都写完了。

Chaunce | 园豆:262 (菜鸟二级) | 2018-11-12 15:49

乌。。我都配置好了,现在慢慢弄吧

支持(0) 反对(0) 刹那永痕 | 园豆:136 (初学一级) | 2018-11-12 15:51
0

我跳过这个问题,直接配置mavenweb项目,导包我去 search.maven.org这里面找的,用的tomcat7.0,

刹那永痕 | 园豆:136 (初学一级) | 2018-11-12 15:53
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册